# Package de.gebit.integrity.dsl

- Interface Summary
  Interface | Description
  --- | ---
  ArbitraryParameterOrResultName | A representation of the model object 'Arbitrary Parameter Or Result Name'.
  BooleanValue | A representation of the model object 'Boolean Value'.
  Call | A representation of the model object 'Call'.
  CallDefinition | A representation of the model object 'Call Definition'.
  Constant | A representation of the model object 'Constant'.
  ConstantDefinition | A representation of the model object 'Constant Definition'.
  ConstantEntity | A representation of the model object 'Constant Entity'.
  ConstantValue | A representation of the model object 'Constant Value'.
  CustomOperation | A representation of the model object 'Custom Operation'.
  DateAndTimeValue | A representation of the model object 'Date And Time Value'.
  DateValue | A representation of the model object 'Date Value'.
  DecimalValue | A representation of the model object 'Decimal Value'.
  DocumentationComment | A representation of the model object 'Documentation Comment'.
  DslFactory | The Factory for the model.
  DslPackage | The Package for the model.
  DslPackage.Literals | Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type
  Empty | A representation of the model object 'Empty'.
  EmptyValue | A representation of the model object 'Empty Value'.
  EnumValue | A representation of the model object 'Enum Value'.
  EuropeanDateAnd12HrsTimeValue | A representation of the model object 'European Date And12 Hrs Time Value'.
  EuropeanDateAnd24HrsTimeValue | A representation of the model object 'European Date And24 Hrs Time Value'.
  EuropeanDateValue | A representation of the model object 'European Date Value'.
  ExecutionMultiplier | A representation of the model object 'Execution Multiplier'.
  FixedParameterName | A representation of the model object 'Fixed Parameter Name'.
  FixedResultName | A representation of the model object 'Fixed Result Name'.
  ForkDefinition | A representation of the model object 'Fork Definition'.
  ForkParameter | A representation of the model object 'Fork Parameter'.
  Import | A representation of the model object 'Import'.
  Inexistent | A representation of the model object 'Inexistent'.
  InexistentValue | A representation of the model object 'Inexistent Value'.
  IntegerValue | A representation of the model object 'Integer Value'.
  IsoDateAndTimeValue | A representation of the model object 'Iso Date And Time Value'.
  IsoDateValue | A representation of the model object 'Iso Date Value'.
  IsoTimeValue | A representation of the model object 'Iso Time Value'.
  JavaClassReference | A representation of the model object 'Java Class Reference'.
  JavaConstantReference | A representation of the model object 'Java Constant Reference'.
  JavaConstantValue | A representation of the model object 'Java Constant Value'.
  KeyValuePair | A representation of the model object 'Key Value Pair'.
  MethodReference | A representation of the model object 'Method Reference'.
  Model | A representation of the model object 'Model'.
  NamedCallResult | A representation of the model object 'Named Call Result'.
  NamedResult | A representation of the model object 'Named Result'.
  NestedObject | A representation of the model object 'Nested Object'.
  Null | A representation of the model object 'Null'.
  NullValue | A representation of the model object 'Null Value'.
  Operation | A representation of the model object 'Operation'.
  OperationDefinition | A representation of the model object 'Operation Definition'.
  PackageDefinition | A representation of the model object 'Package Definition'.
  PackageStatement | A representation of the model object 'Package Statement'.
  Parameter | A representation of the model object 'Parameter'.
  ParameterName | A representation of the model object 'Parameter Name'.
  ParameterTableHeader | A representation of the model object 'Parameter Table Header'.
  ParameterTableValue | A representation of the model object 'Parameter Table Value'.
  RegexValue | A representation of the model object 'Regex Value'.
  ResultName | A representation of the model object 'Result Name'.
  ResultTableHeader | A representation of the model object 'Result Table Header'.
  Simple12HrsTimeValue | A representation of the model object 'Simple12 Hrs Time Value'.
  Simple24HrsTimeValue | A representation of the model object 'Simple24 Hrs Time Value'.
  StandardOperation | A representation of the model object 'Standard Operation'.
  Statement | A representation of the model object 'Statement'.
  StaticValue | A representation of the model object 'Static Value'.
  StringValue | A representation of the model object 'String Value'.
  Suite | A representation of the model object 'Suite'.
  SuiteDefinition | A representation of the model object 'Suite Definition'.
  SuiteParameter | A representation of the model object 'Suite Parameter'.
  SuiteParameterDefinition | A representation of the model object 'Suite Parameter Definition'.
  SuiteReturn | A representation of the model object 'Suite Return'.
  SuiteReturnDefinition | A representation of the model object 'Suite Return Definition'.
  SuiteStatement | A representation of the model object 'Suite Statement'.
  SuiteStatementWithResult | A representation of the model object 'Suite Statement With Result'.
  TableTest | A representation of the model object 'Table Test'.
  TableTestRow | A representation of the model object 'Table Test Row'.
  Test | A representation of the model object 'Test'.
  TestDefinition | A representation of the model object 'Test Definition'.
  TimeDifference | A representation of the model object 'Time Difference'.
  TimeProgressionFactor | A representation of the model object 'Time Progression Factor'.
  TimeSet | A representation of the model object 'Time Set'.
  TimeValue | A representation of the model object 'Time Value'.
  TypedNestedObject | A representation of the model object 'Typed Nested Object'.
  USDateAnd12HrsTimeValue | A representation of the model object 'US Date And12 Hrs Time Value'.
  USDateValue | A representation of the model object 'US Date Value'.
  Value | A representation of the model object 'Value'.
  ValueOrEnumValueOrOperation | A representation of the model object 'Value Or Enum Value Or Operation'.
  ValueOrEnumValueOrOperationCollection | A representation of the model object 'Value Or Enum Value Or Operation Collection'.
  Variable | A representation of the model object 'Variable'.
  VariableAssignment | A representation of the model object 'Variable Assignment'.
  VariableDefinition | A representation of the model object 'Variable Definition'.
  VariableEntity | A representation of the model object 'Variable Entity'.
  VariableOrConstantEntity | A representation of the model object 'Variable Or Constant Entity'.
  VariableVariable | A representation of the model object 'Variable Variable'.
  VariantDefinition | A representation of the model object 'Variant Definition'.
  VariantValue | A representation of the model object 'Variant Value'.
  VisibleComment | A representation of the model object 'Visible Comment'.
  VisibleDivider | A representation of the model object 'Visible Divider'.
  VisibleMultiLineComment | A representation of the model object 'Visible Multi Line Comment'.
  VisibleMultiLineNormalComment | A representation of the model object 'Visible Multi Line Normal Comment'.
  VisibleMultiLineTitleComment | A representation of the model object 'Visible Multi Line Title Comment'.
  VisibleSingleLineComment | A representation of the model object 'Visible Single Line Comment'.
  VisibleSingleLineNormalComment | A representation of the model object 'Visible Single Line Normal Comment'.
  VisibleSingleLineTitleComment | A representation of the model object 'Visible Single Line Title Comment'.